Skip to main content
GET
/
agent-sessions
/
{session_id}
/
mcp-servers
List session MCP servers
import requests

url = "https://app.ubik-agent.com/api/v1/agent-sessions/{session_id}/mcp-servers"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "status": "<string>",
    "description": "<string>",
    "cached_tools": [
      {}
    ],
    "cached_resources": [
      {}
    ]
  }
]

Authorizations

X-API-KEY
string
header
required

Headers

X-End-User-ID
string | null

Path Parameters

session_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

The unique identifier for the MCP server.

name
string
required

The name of the MCP server.

status
string
required

The current status of the MCP server (e.g., active, inactive).

description
string | null

A description of the MCP server.

cached_tools
Cached Tools · object[]

The tools provided by this MCP server.

cached_resources
Cached Resources · object[]

The resources provided by this MCP server.